select
   pes.nome as fornecedor
  , nt.dtemissao as data_emissao
  , (mo.vrpago*(case nt.tiponota when 'E' then -1 when 'S' then 1 else 0 end)) as valor_pago_recebido
  , mo.dtpagamento as data_pagamento_recebimento
  , mo.dtcompensacao as data_compensacao
  , mo.dtvencimento as data_vencimento
  , tp.nome as tipo_pagamento_recebimento
  , nt.numdocumento as numero_nota
  , mo.numdocumentosemacento as documento_pagamento
  , nt.numdocumento as numero_nota
  , mo.numparcela || '/' || (select count(*) from movimento re where re.cdnota = nt.cdnota) as numero_parcela
from
  movimento mo
  join nota nt on nt.cdnota = mo.cdnota
  join pessoa pes on pes.cdpessoa = nt.cdpessoa
  left join tipopagamentorecebimento tp on tp.cdtipopagamentorecebimento = mo.cdtipopagamentorecebimento
where
  nt.tiponota in ('E', 'S')
  and mo.dtcompensacao between '2014-01-01' and '2014-12-31'
  and nt.valor <> 0
order by
  nt.numdocumento, mo.dtcompensacao

